function [XYG,Jac]=Shape2D_Cell(xi,eta,XYE)
[numcell,numvxcell,dim] =size(XYE);
phi1=(1/4)*(1-xi)*(1-eta);
phi2=(1/4)*(1+xi)*(1-eta);
phi3=(1/4)*(1+xi)*(1+eta);
phi4=(1/4)*(1-xi)*(1+eta);
phi=[phi1 phi2 phi3 phi4];
phi1xi=-(1/4)*(1-eta);
phi2xi=(1/4)*(1-eta);
phi3xi=(1/4)*(1+eta);
phi4xi=-(1/4)*(1+eta);
dphidxi=[phi1xi phi2xi phi3xi phi4xi];
phi1eta=-(1/4)*(1-xi);
phi2eta=-(1/4)*(1+xi);
phi3eta=(1/4)*(1+xi);
phi4eta=(1/4)*(1-xi);
dphideta=[phi1eta phi2eta phi3eta phi4eta];
XYG=zeros(numcell,dim);
dXYGxi=XYG; dXYGeta=XYG;
for i = 1:dim
    for k = 1:numvxcell
        XYG(:,i)=XYG(:,i)+phi(k).*XYE(:,k,i);
        dXYGxi(:,i)=dXYGxi(:,i)+dphidxi(k).*XYE(:,k,i);
        dXYGeta(:,i)=dXYGeta(:,i)+dphideta(k).*XYE(:,k,i);
    end
end
Sx=dXYGxi(:,2).*dXYGeta(:,3)-dXYGeta(:,2).*dXYGxi(:,3);
Sy=dXYGeta(:,1).*dXYGxi(:,3)-dXYGxi(:,1).*dXYGeta(:,3);
Sz=dXYGxi(:,1).*dXYGeta(:,2)-dXYGeta(:,1).*dXYGxi(:,2);
Jac=sqrt(Sx.^2+Sy.^2+Sz.^2);
end