function [w,dwdx,dwdy]=cubwgt(dif,v,dm)
%Funcin de peso cbica (spline)
l=length(v); w=zeros(l,1); dwdx=w; dwdy=w;
for i=1:l
    drdx=sign(dif(i,1))/dm(v(i),1);
    drdy=sign(dif(i,2))/dm(v(i),2);
    rx=abs(dif(i,1))/dm(v(i),1);
    ry=abs(dif(i,2))/dm(v(i),2);
    if rx>0.5
        wx=(4/3)-4*rx+4*rx*rx-(4/3)*rx^3;
        dwx=(-4+8*rx-4*rx^2)*drdx;
    elseif rx<=0.5
        wx=(2/3)-4*rx*rx+4*rx^3;
        dwx=(-8*rx+12*rx^2)*drdx;
    end
    if ry>0.5
        wy=(4/3)-4*ry+4*ry*ry-(4/3)*ry^3;
        dwy=(-4+8*ry-4*ry^2)*drdy;
    elseif ry<=0.5
        wy=(2/3)-4*ry*ry+4*ry^3;
        dwy=(-8*ry+12*ry^2)*drdy;
    end
    w(i)=wx*wy;
    dwdx(i)=wy*dwx;
    dwdy(i)=wx*dwy;
end